# Changelog

## [integrations/pinecone-v2.0.0] - 2024-09-12

### ⚙️ Miscellaneous Tasks

- Pinecone - remove legacy filter support (#1069)

## [integrations/pinecone-v1.2.3] - 2024-08-29

### 🚀 Features

- Add filter_policy to pinecone integration (#821)

### 🐛 Bug Fixes

- `pinecone` - Fallback to default filter policy when deserializing retrievers without the init parameter (#901)
- Skip unsupported meta fields in PineconeDB (#1009)
- Converting `Pinecone` metadata fields from float back to int (#1034)

### 🧪 Testing

- Pinecone - fix `test_serverless_index_creation_from_scratch` (#806)
- Do not retry tests in `hatch run test` command (#954)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)

## [integrations/pinecone-v1.1.0] - 2024-06-11

### 🚀 Features

- Defer the database connection to when it's needed (#804)

## [integrations/pinecone-v1.0.0] - 2024-06-10

### 🚀 Features

- [**breaking**] Pinecone - support for the new API (#793)

## [integrations/pinecone-v0.4.1] - 2024-04-02

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme
- Correctly deserialize Pinecone docstore in embedding retriever (#636)

### 📚 Documentation

- Update category slug (#442)
- Disable-class-def (#556)

### ⚙️ Miscellaneous Tasks

- Generate API docs for Pinecone (#359)

### Pinecone

- Rename retriever (#396)
- Fix imports in example (#398)
- Temporarily skip failing tests (#593)
- Skip `test_write_documents_duplicate_overwrite` test (#637)

## [integrations/pinecone-v0.2.1] - 2024-01-31

### 🐛 Bug Fixes

- Fix linter (#281)



## [integrations/pinecone-v0.2.0] - 2024-01-23

## [integrations/pinecone-v0.1.0] - 2024-01-17

## [integrations/pinecone-v0.0.1] - 2023-12-22

<!-- generated by git-cliff -->
